Bug 963618 - Provide an performance monitor tool for RHS clusters
Provide an performance monitor tool for RHS clusters
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: storage-server-tools (Show other bugs)
2.0
Unspecified Linux
medium Severity unspecified
: ---
: ---
Assigned To: Bala.FA
Sachidananda Urs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-16 05:12 EDT by Paul Cuzner
Modified: 2015-11-22 21:57 EST (History)
6 users (show)

See Also:
Fixed In Version: appliance-1.7.1-3.el6rhs
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-10 03:42:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Current files used in the rpm pkgs offered on gluster forge (43.16 KB, application/x-gzip)
2013-05-16 05:12 EDT, Paul Cuzner
no flags Details

  None (edit)
Description Paul Cuzner 2013-05-16 05:12:12 EDT
Created attachment 748683 [details]
Current files used in the rpm pkgs offered on gluster forge

Description of problem:
RHS currently lacks a performance tool that shows aggregated performance across the cluster, as well as load on each individual node. In addition the CLI does not make it easy to see volume usage information at a high level.

This leaves the admins at a disadvantage when managing a cluster.

This BZ proposes the inclusion of the gtop tool to be part of the unsupported toolset shipped with RHS 2.x

The gtop project is hosted on gluster forge and github
https://forge.gluster.org/gtop
https://github.com/pcuzner/gluster-monitor

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 3 Sachidananda Urs 2013-05-27 07:38:26 EDT
Verified on:
appliance-1.7.1-3.el6rhs

The tools are available in:

/usr/lib/glusterfs/.unsupported/gtop-1.0

However, I don't see gluster-monitor. Assigning back.
Comment 4 Bala.FA 2013-05-27 07:46:29 EDT
both gtop and gluster-monitor are same hosted in different places at forge.gluster.org and github.com respectively.

moving to ON_QA
Comment 5 Sachidananda Urs 2013-05-27 07:47:43 EDT
Verified on:
appliance-1.7.1-3.el6rhs

The tools are available in:

/usr/lib/glusterfs/.unsupported/gtop-1.0

Note You need to log in before you can comment on or make changes to this bug.